CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

布局十字线颜色属性 (ActiveX)

2023-1-3 12:38| 发布者: admin| 查看: 368| 评论: 0|来自: AutoCAD

摘要: 指定图纸空间布局的十字准线和文本的颜色。

指定图纸空间布局的十字准线和文本的颜色。

支持的平台:仅窗口

签名

工 务 局:

object.LayoutCrosshairColor
对象

类型:首选项显示

此属性适用的对象。

属性值

只读:

类型:OLE_COLOR(常量)

  • vbBlack
  • vbRed
  • vbYellow
  • vbGreen
  • vbCyan
  • vbBlue
  • vbMagenta
  • vbWhite

言论

此属性的初始值是 Windows 标准文本颜色。

若要指定模型空间布局的十字准线颜色,请使用属性。ModelCrosshairColor

例子

工 务 局:

Sub Example_LayoutCrosshairColor()
    ' This example reads and modifies the preference value that controls
    ' the color of the crosshairs and text for paper space layouts.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesDisplay
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the display preferences object
    Set ACADPref = ThisDrawing.Application.Preferences.Display
    
    ' Switch to paper space to view this change
    ThisDrawing.ActiveSpace = acPaperSpace
   
    ' Read and display the original value
    originalValue = ACADPref.LayoutCrosshairColor
    MsgBox "The LayoutCrosshairColor preference is: " & originalValue

    ' Modify the LayoutCrosshairColor preference by making it red
    ACADPref.LayoutCrosshairColor = vbRed
    newValue = ACADPref.LayoutCrosshairColor
    ThisDrawing.Regen acAllViewports
    
    MsgBox "The LayoutCrosshairColor preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.LayoutCrosshairColor = originalValue
    ThisDrawing.Regen acAllViewports
    
    MsgBox "The LayoutCrosshairColor preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_LayoutCrosshairColor()
    ;; This example reads and modifies the preference value that controls
    ;; the color of the crosshairs and text for paper space layouts.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Switch to paper space to view this change
    (vla-put-ActiveSpace doc acPaperSpace)
   
    ;; Read and display the original value
    (setq originalValue (vlax-variant-change-type (vla-get-LayoutCrosshairColor (vla-get-Display preferences)) vlax-vbLong))
    (alert (strcat "The LayoutCrosshairColor preference is: " (itoa (vlax-variant-value originalValue))))
  
    ;; Modify the LayoutCrosshairColor preference by making it red
    (vla-put-LayoutCrosshairColor (vla-get-Display preferences) (vlax-make-variant acRed 19))
    (setq newValue (vlax-variant-change-type (vla-get-LayoutCrosshairColor (vla-get-Display preferences)) vlax-vbLong))
    (vla-Regen doc acAllViewports)
    
    (alert (strcat "The LayoutCrosshairColor preference has been set to: " (itoa (vlax-variant-value newValue))))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-LayoutCrosshairColor (vla-get-Display preferences) (vlax-variant-change-type originalValue 19)) 
    (vla-Regen doc acAllViewports)
    
    (alert (strcat "The LayoutCrosshairColor preference was reset back to: " (itoa (vlax-variant-value originalValue))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 09:15

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部